Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Abstract_ServantBase Class Reference

`#include <Abstract_Servant_Base.h>`

List of all members.

## Public Methods
virtual | ~TAO_Abstract_ServantBase (void)
| Destructor.
virtual CORBA::Boolean | _is_a (const char* logical_type_id, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ()) = 0
| Local implementation of the CORBA::Object::_is_a method.
virtual CORBA::Boolean | _non_existent (CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ()) = 0
| Default <_non_existent>: always returns false.
virtual CORBA_InterfaceDef_ptr | _get_interface ( CORBA_Environment &ACE_TRY_ENV = TAO_default_environment () ) = 0
| Query the Interface Repository.
virtual void* | _downcast (const char *repository_id) = 0
| Get the correct vtable.
virtual TAO_Stub* | _create_stub (CORBA_Environment &ACE_TRY_ENV) = 0
| This is an auxiliary method for _this() and _narrow().
Reference counting hooks: no-ops by default.
virtual void | _add_ref (CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ())
virtual void | _remove_ref (CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ())
## Protected Methods
| TAO_Abstract_ServantBase (void)
| Default constructor, only derived classes can be created.
| TAO_Abstract_ServantBase (const TAO_Abstract_ServantBase &)
| Copy constructor, protected so no instances can be created.
TAO_Abstract_ServantBase& | operator= (const TAO_Abstract_ServantBase &)
| assignment operator.
virtual void | _dispatch (TAO_ServerRequest &request, void *servant_upcall, CORBA_Environment &ACE_TRY_ENV) = 0
| Dispatches a request to the object. More...
virtual void | synchronous_upcall_dispatch (TAO_ServerRequest &req, void *servant_upcall, void *derived_this, CORBA::Environment &ACE_TRY_ENV) = 0
virtual int | _find (const char *opname, TAO_Skeleton &skelfunc, const unsigned int length = 0) = 0
| Find an operation in the operation table.
virtual int | _bind (const char *opname, const TAO_Skeleton skel_ptr) = 0
| Register a CORBA IDL operation name.
virtual const char* | _interface_repository_id (void) const = 0
| Get this interface's repository id (TAO specific).

## Constructor & Destructor Documentation

TAO_Abstract_ServantBase::~TAO_Abstract_ServantBase ( | void )`[virtual]`

| Destructor.

TAO_Abstract_ServantBase::TAO_Abstract_ServantBase ( | void )`[inline, protected]`

| Default constructor, only derived classes can be created.

TAO_Abstract_ServantBase::TAO_Abstract_ServantBase ( | const TAO_Abstract_ServantBase & )`[protected]`

| Copy constructor, protected so no instances can be created.

## Member Function Documentation

void TAO_Abstract_ServantBase::_add_ref ( | CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )`[virtual]`

int TAO_Abstract_ServantBase::_bind ( | const char * opname,
| const TAO_Skeleton skel_ptr )`[protected, pure virtual]`

| Register a CORBA IDL operation name.

TAO_Stub * TAO_Abstract_ServantBase::_create_stub ( | CORBA_Environment & ACE_TRY_ENV )`[pure virtual]`

| This is an auxiliary method for _this() and _narrow().

void TAO_Abstract_ServantBase::_dispatch ( | TAO_ServerRequest & request,
| void * servant_upcall,
| CORBA_Environment & ACE_TRY_ENV )`[protected, pure virtual]`

  | Dispatches a request to the object. Find the operation, cast the type to the most derived type, demarshall all the parameters from the request and finally invokes the operation, storing the results and out parameters (if any) or the exceptions thrown into Parameters:
  request. |

void * TAO_Abstract_ServantBase::_downcast ( | const char * repository_id )`[pure virtual]`

| Get the correct vtable.

int TAO_Abstract_ServantBase::_find ( | const char * opname,
| TAO_Skeleton & skelfunc,
| const unsigned int length = 0 )`[protected, pure virtual]`

| Find an operation in the operation table.

CORBA_InterfaceDef_ptr TAO_Abstract_ServantBase::_get_interface ( | CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )`[pure virtual]`

| Query the Interface Repository.

const char * TAO_Abstract_ServantBase::_interface_repository_id ( | void ) const`[protected, pure virtual]`

| Get this interface's repository id (TAO specific).

CORBA::Boolean TAO_Abstract_ServantBase::_is_a ( | const char * logical_type_id,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )`[pure virtual]`

| Local implementation of the CORBA::Object::_is_a method.

CORBA::Boolean TAO_Abstract_ServantBase::_non_existent ( | CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )`[pure virtual]`

| Default <_non_existent>: always returns false.

void TAO_Abstract_ServantBase::_remove_ref ( | CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )`[virtual]`

TAO_Abstract_ServantBase & TAO_Abstract_ServantBase::operator= ( | const TAO_Abstract_ServantBase & )`[protected]`

| assignment operator.

virtual void TAO_Abstract_ServantBase::synchronous_upcall_dispatch ( | TAO_ServerRequest & req,
| void * servant_upcall,
| void * derived_this,
| CORBA::Environment & ACE_TRY_ENV )`[protected, pure virtual]`

The documentation for this class was generated from the following files:

- Abstract_Servant_Base.h
- Abstract_Servant_Base.cpp